[![logo](https://www.hongsnet.net/images/logo.gif)](https://www.hongsnet.net)

# 홍쓰넷 채팅서비스 소개

홍쓰넷은 `2020년 06월`부터 Slack 메신저를 통한 커뮤니케이션을 개설 했었습니다. 그런데 3개월 정도 운영을 해보니, 다음과 같은 이슈들이 발생되었습니다.

- 회원입장에서 Slack에 로그인 및 가입이 필요
- Slack은 운영자 입장에서도 여러가지 불편함이 존재
- 묻고답하기 게시판은 실시간으로 문의하기가 불가능

따라서 다음과 같은 홍쓰넷 자체적으로 채팅 서비스를 운영하기로 결정했으며, 시스템 구축도 완료 됐습니다.

> Mattermost(메타모스트) 오픈소스 솔루션


# Mattermost 솔루션 운영이점

- Slack과 같이 별도의 가입이 불필요 합니다. 단, 홍쓰넷의 회원이여야 합니다.
- 웹 브라우저로 접근이 가능하며, 모바일 APP도 제공 합니다.
- **기본적으로 Public Channel** 이므로, 회원간의 커뮤니케이션도 가능 합니다.
- 회원이 원하는 날짜에 요청이 가능 합니다. 단, **관리자의 스케쥴에 따라 거부될 수 있습니다.** [ 홍쓰넷의 신청페이지 추가 ]

> 홍쓰넷 채팅접속 URL : https://chat.hongsnet.net


# 채팅솔루션에 회원추가절차

> 홍쓰넷 회원만 신청이 가능합니다. 만약 회원이 아닌 분들이 신청하시면, 거부 됩니다.

- [ `STEP 1` ] : https://chat.hongsnet.net 으로 접속 합니다.

- [ `STEP 2` ] : 다음과 같이 계정을 신청 합니다.

![hongsnet-matt1](/uploads/965577e83308b5063b4a25eb1a4d2df8/hongsnet-chat.png)

**Create one now**를 클릭 하십시오.

- [ `STEP 3` ] : 이메일/아이디/패스워드를 입력 합니다.

![hongsnet-matt2](/uploads/ffd9bcb0930dd5f9def6776f7dbeb0fd/hongsnet-matt2.png)

마지막으로 **계정 만들기** 버튼을 클릭 하십시오.


# 채팅서비스 신청절차

홍쓰넷 Index페이지 -> `관리자와의 실시간 커뮤케이션 : [ 채팅신청및현황 ]` -> 원하는 정보입력 후 신청


- [ `STEP 1` ] : 홍쓰넷 Index 페이지의 메뉴를 확인 하십시오.

![chat2](/uploads/989f21337fd899c7885aa21a44a50c30/chat2.png)

**채팅신청** 링크를 클릭 하십시오.

- [ `STEP 2` ] : 그럼 새창이 뜨는데, 신청폼을 작성하기위해 "채팅일정접수" 링크를 클릭 합니다.

![hongsnet-matt4](/uploads/b840d0d8e91ee54658f87cd5e674653c/hongsnet-matt4.png)

- [ `STEP 3` ] : 신청내역을 입력 합니다.

![hongsnet-matt5](/uploads/bebbc8b2e6876364c0961cd07d7bcaf5/hongsnet-matt5.png)

- **아이디** : 홍쓰넷에 가입에 회원아이디를 입력하여야 합니다.
- **이메일** : 홍쓰넷에 가입한 회원의 이메일주소를 입력하여야 합니다.
- **신청일자** : 클릭하면 달력이 출력되며, 원하는 일자를 지정하시면 됩니다.
- **신청시간** : 세부적인 시간을 입력 합니다. e.g, 14:30
- **신청구분** : 해당되는 내역을 선택 합니다.
   - 채팅멤버추가 : 신규로 가입을 위한 신청
   - 채팅신청 : 관리자에게 채팅을 신청
   - 기타 : 그 외의 내역
- **신청사유** : 어떤 내용으로 인한 신청인지를 명시하여 주십시오. 
                 관리자가 항상 응답할 수 없는 상황이며, **별도의 시간을 할애해야 하기 때문에 사유를 받아야 합니다.**

여기까지 모두 진행을 하셨으면, 작성&신청은 완료된 상태 입니다. **관리자의 피드백을 기다리시면 됩니다.**


# 채팅서비스 로그인

![hongsnet-matt1](/uploads/d1c69fc01fd006fed6b095f3f84cd556/hongsnet-matt1.png)




